Subject: Re: IPR Disclosures for draft-ietf-xrblock-rtcp-xr-qoe

From: Glen Zorn <[email-masked]>
Date: Fri, 13 Sep 2013 20:52:22 +0700

On 08/21/2013 09:20 PM, Romascanu, Dan (Dan) wrote:

> Dear authors of draft-ietf-xrblock-rtcp-xr-qoe,
>
> Please confirm that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 for this document have already been filed. The confirmation from each of you is necessary in order to progress the document towards IESG approval.
>

Network Working Group                                            G. Hunt
Internet-Draft                                              Unaffiliated
Intended status: Standards Track                                A. Clark
Expires: November 15, 2012                                      Telchemy
                                                                    Q. Wu
                                                                   Huawei
                                                                R. Schott
                                                                       DT
                                                                  G. Zorn
                                                              Network Zen
                                                             May 14, 2012

                 RTCP XR Blocks for QoE Metric Reporting
                    draft-ietf-xrblock-rtcp-xr-qoe-01

Abstract

    This document defines an RTCP XR Report Block including two new
    segment types and associated SDP parameters that allow the reporting
    of QoE metrics for use in a range of RTP applications.

Status of this Memo

    This Internet-Draft is submitted in full conformance with the
    provisions of BCP 78 and BCP 79.

> Thanks and Regards,
> Dan

---

From: Glen Zorn <[email-masked]>
Date: Fri, 13 Sep 2013 20:56:19 +0700

> Please confirm that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 for this document have already been filed. The confirmation from e…

Network Working Group                                           A. Clark
Internet-Draft                                                  Telchemy
Intended status: Standards Track                                   Q. Wu
Expires: April 21, 2013                                           Huawei
                                                                R. Schott
                                                                       DT
                                                                  G. Zorn
                                                              Network Zen
                                                         October 18, 2012

  RTP Control Protocol (RTCP) Extended Report (XR) Blocks for QoE Metric
                                Reporting
                    draft-ietf-xrblock-rtcp-xr-qoe-03

Abstract

    This document defines an RTP Control Protocol (RTCP) Extended Report
    (XR) Block including two new segment types and associated SDP
    parameters that allow the reporting of QoE metrics for use in a range
    of RTP applications.

Status of this Memo

---

From: Glen Zorn <[email-masked]>
Date: Fri, 13 Sep 2013 21:02:04 +0700

Network Working Group                                           A. Clark
Internet-Draft                                                  Telchemy
Intended status: Standards Track                                   Q. Wu
Expires: August 29, 2013                                          Huawei
                                                                R. Schott
                                                         Deutsche Telekom
                                                                  G. Zorn
                                                              Network Zen
                                                        February 25, 2013

  RTP Control Protocol (RTCP) Extended Report (XR) Blocks for QoE Metric
                                Reporting
                    draft-ietf-xrblock-rtcp-xr-qoe-06

Abstract

Status of this Memo

---

From: Glen Zorn <[email-masked]>
Date: Fri, 13 Sep 2013 21:04:48 +0700

Network Working Group                                           A. Clark
Internet-Draft                                                  Telchemy
Intended status: Standards Track                                   Q. Wu
Expires: November 28, 2013                                        Huawei
                                                                R. Schott
                                                         Deutsche Telekom
                                                                  G. Zorn
                                                              Network Zen
                                                             May 27, 2013

  RTP Control Protocol (RTCP) Extended Report (XR) Blocks for QoE Metric
                                Reporting
                    draft-ietf-xrblock-rtcp-xr-qoe-08

Abstract

Status of this Memo

---

From: Glen Zorn <[email-masked]>
Date: Fri, 13 Sep 2013 21:05:34 +0700

---

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 16 Sep 2013 15:03:36 +0200

Hi Glen,

as I mentioned in another email, that question is just a reminder. In
the past, it has happened that even long-time IETF participants with a
lot of experience had forgotten about a particular disclosure until they
received the reminder.

Responding with a "yes, per the draft's boilerplate" should take only a
few seconds of your time.

Cheers,

Gonzalo

On 16/09/2013 2:35 PM, Glen Zorn wrote:
> On 09/15/2013 11:06 PM, Romascanu, Dan (Dan) wrote:
>> Hi,
>>
>> Qin is correct. Glen's way of responding does not help.
> 
> Apparently there is no way that would be helpful (see below).
> 
>>
>> The wording of this question is not a choice. As WG chairs we are
>> required to answer the following question which is part of the
>> Shepherd write-up as per the instructions from the IESG
>> http://www.ietf.org/iesg/template/doc-writeup.txt:
>>
>>> (7) Has each author confirmed that any and all appropriate IPR
>>
>> disclosures required for full conformance with the provisions of BCP 78
>>
>> and BCP 79 have already been filed. If not, explain why.
>>
>> We have no choice but to relay the question to the authors.
> 
> I see, just following orders.
> 
>>
>> Glen, if you believe that this question should not be part of the
>> write-up, I think that you should take the issue with the IESG.
> 
> I have, and am continuing to do so (see the CC list).
> 
>>
>> In the current situation, unless I receive different instructions from
>> the ADs, I have no choice but to send this document to the IESG
>> mentioning that I did not receive an explicit confirmation.
>>
> 
> Really?  I have no idea, really, how to respond to that statement but
> I'll try anyway.  The explicit statement of conformance to both BCP 78
> and BCP 79 were clearly contained in each and every revision of the
> draft; of course, I know that you are a busy person, and the IESG is
> even busier, so you can't be expected to read every draft posted.  I
> spent my time emailing the pertinent sections of
> draft-ietf-xrblock-rtcp-xr-qoe-00 through
> draft-ietf-xrblock-rtcp-xr-qoe-09 to ensure that you were aware that I
> and my co-authors had explicitly stated that the drafts in question
> conformed to the relevant BCPs in every case.  As I'm quite certain that
> you can read, I believe that you _are_ aware of that, so how to
> understand your statement that "I have no choice but to send this
> document to the IESG mentioning that I did not receive an explicit
> confirmation"?  It looks like I have no choice but to believe that you
> (and the IESG) think that we are liars who will confess only under
> direct questioning, like 8-year-old children suspected of some prank.
> This isn't merely obnoxious, it's insulting and highly offensive.
> 
>>
> 
>> Regards,
>>
>> Dan
>>
>>
>>
>>
>>> -----Original Message-----
>>> From: Qin Wu [mailto:[email-masked]]
>>> Sent: Saturday, September 14, 2013 8:45 AM
>>> To: Glen Zorn
>>> Cc: Romascanu, Dan (Dan); draft-ietf-xrblock-rtcp-xr-
>>> [email-masked]
>>> Subject: RE: IPR Disclosures for draft-ietf-xrblock-rtcp-xr-qoe
>>>
>>> Hi,Glen:
>>> Would you like to not bother IESG to make confirmation?
>>> I am a little confused with what you sent.
>>> What's wrong with the IETF IPR policy?
>>> Your blame on this doesn't help solve the problem.
>>>
>>> Regards!
>>> -Qin
>>> -----Original Message-----
>>> From: Glen Zorn [mailto:[email-masked]]
>>> Sent: Friday, September 13, 2013 9:51 PM
>>> To: Romascanu, Dan (Dan)
>>> Cc: [email-masked]; [email-masked];
>>> The IESG
>>> Subject: Re: IPR Disclosures for draft-ietf-xrblock-rtcp-xr-qoe
>>>
>>>> Please confirm that any and all appropriate IPR disclosures required
>>> for full conformance with the provisions of BCP 78 and BCP 79 for this
>>> document have already been filed. The confirmation from each of you is
>>> necessary in order to progress the document towards IESG approval.
>>>>
>>>
>>>                      draft-ietf-xrblock-rtcp-xr-qoe-00
>>>
>>> Abstract
>>>
>>>      This document defines an RTCP XR Report Block and associated SDP

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 16 Sep 2013 13:20:08 +0000

Hi, 

I have doubts myself, doubts that I shared with the IESG that this question is really needed. Asking this question at the end of the process after the conformance with BCP 78 and BCP 79 was explicitly declared with each version of the I-D submitted seems redundant. It is probably intended to cover some corner cases where contributors forgot particular disclosures, or disclosures happened after the last I-D revision was submitted, or some of the authors on the authors list were not involved directly in the latest submitted revisions of the I-D. As WG chair however, as long as the question is formulated under its current format in the shepherd write-up form, I feel that I cannot responsibly answer to it without asking the authors.

To quote Gonzalo: Responding with a "yes, per the draft's boilerplate" should take only a few seconds

Regards,

Dan

> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Monday, September 16, 2013 3:04 PM
> To: Glen Zorn
> Cc: Romascanu, Dan (Dan); Qin Wu; draft-ietf-xrblock-rtcp-xr-
> [email-masked]; Shida Schubert; [email-masked]; The
> IESG; [email-masked]
> >> In the current situation, unless I receive different instructions
> >> from the ADs, I have no choice but to send this document to the IESG
> > conformed to the relevant BCPs in every case.  As I'm quite certain
> > that you can read, I believe that you _are_ aware of that, so how to
> >>> Cc: [email-masked];
> >>> [email-masked]; The IESG
> >>> for full conformance with the provisions of BCP 78 and BCP 79 for
> >>> this document have already been filed. The confirmation from each of
> >>> you is necessary in order to progress the document towards IESG
> approval.
> >>>>
> >>>

---

From: Ralph Droms <[email-masked]>
Date: Mon, 16 Sep 2013 09:36:54 -0400

On Sep 16, 2013, at 9:20 AM 9/16/13, "Romascanu, Dan (Dan)" <[email-masked]> wrote:

> Hi, 
> 
> I have doubts myself, doubts that I shared with the IESG that this question is really needed. Asking this question at the end of the process after the conformance with BCP 78 and BCP 79 was explicitly declared with each version of the I-D submitted seems redundant.

On the other hand, I believe there have been cases in which asking this question resulted in disclosures that might not otherwise have been posted.

Redundancy in this case doesn't seem particularly costly or otherwise onerous and, in my opinion, has proved valuable in the past.

- Ralph

> It is probably intended to cover some corner cases where contributors forgot particular disclosures, or disclosures happened after the last I-D revision was submitted, or some of the authors on the authors list were not involved directly in the latest submitted revisions of the I-D. As WG chair however, as long as the question is formulated under its current format in the shepherd write-up form, I feel that I cannot responsibly answer to it without asking the authors.
>

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 16 Sep 2013 14:38:49 +0100

On 09/16/2013 02:20 PM, Romascanu, Dan (Dan) wrote:
> I have doubts myself, doubts that I shared with the IESG that this
> question is really needed. Asking this question at the end of the
> process after the conformance with BCP 78 and BCP 79 was explicitly
> declared with each version of the I-D submitted seems redundant. 

It is redundant. Deliberately so though, since as stated earlier
we have seen cases where it did result in IPR declarations being
made by long-time IETFers who'd forgotten old filings. In at least
one such case we had to re-do an IETF LC, but it all did work out
to the satisfaction of the wg in the end. From memory, I think
we've seen about 3 IPR disclosures because of this question in the
last year. So its not solving a huge problem, but it does catch
a few things that'd be missed otherwise.

> It
> is probably intended to cover some corner cases where contributors
> forgot particular disclosures, or disclosures happened after the last
> I-D revision was submitted, or some of the authors on the authors
> list were not involved directly in the latest submitted revisions of
> the I-D. As WG chair however, as long as the question is formulated
> under its current format in the shepherd write-up form, I feel that I
> cannot responsibly answer to it without asking the authors.

As shepherd, you do have the option of saying "I didn't ask
Glen because I know it really annoys him and I know what his
answer will be" or "I asked the authors, and all's well but
Glen didn't respond but we know the question annoys him."

> To quote Gonzalo: Responding with a "yes, per the draft's
> boilerplate" should take only a few seconds

Yeah, I agree. But its inevitable that a redundant bit of
process stuff like this irritates someone, so we should all
(incl. irritated parties:-) live with that and not make a
deal of it.

And lastly a question for Glen: Say a co-author of yours
was prompted by this question to make a late IPR disclosure.
While that's a low probability event, (about a 1% chance
or so maybe), would that be better or worse than the
disclosure not happening or happening after the draft had
gone further in the process?

If it'd be better then I don't get why you think its a
problem that we double-check. (Or is there a better way
to double-check that would not be as annoying?)

If it'd be worse, (i.e. better to not know) then I don't
get that.

FWIW, much as I think most of the IPR we have to deal with
is nonsense, I still think its better for us to double-check
and get the IPR disclosures when we can easily do another
IETF-LC.

S.

---

From: "GTW" <[email-masked]>
Date: Mon, 16 Sep 2013 09:51:17 -0400

It seems to me  that it would be good practice (for someone?) to invite or
remind authors of RFCs  of the requirements of BCP 78 and 79  ... but maybe
not use the words the email as below describing confirmation  as  "necessary 
in order to progress the document"

"> Please confirm that any and all appropriate IPR disclosures required for
full conformance with the provisions of BCP 78 and BCP 79 for this document
have already been filed. The confirmation from each of you is necessary in
order to progress the document towards IESG approval."

The text at http://www.ietf.org/iesg/template/doc-writeup.txt  "As required 
by RFC 4858, this is the current template for the Document Shepherd 
Write-Up."  contains this text
(7) Has each author confirmed that any and all appropriate IPR
disclosures required for full conformance with the provisions of BCP 78
and BCP 79 have already been filed. If not, explain why
That text is a little different than the template  saying "confirmation is 
necessary"

I don’t see applicable  text in RFC 4858  http://tools.ietf.org/html/rfc4858

Seems to me that authors may not really know whether   "any and all
appropriate IPR disclosures" have been filed and to ask them to "confirm"
that this is the case asks authors  to  do something they really are not
able to do without taking on some possible liability for such a
confirmation.  Authors may have personal knowledge and belief but to ask 
them to "confirm" something is more than that

my two cents

George T. Willingmyre, P.E.
President GTW Associates
-----Original Message----- 
From: Gonzalo Camarillo
Sent: Monday, September 16, 2013 9:03 AM
To: Glen Zorn
Cc: [email-masked] ; [email-masked] ; Shida Schubert ; Romascanu,Dan 
(Dan) ; The IESG ; [email-masked] ; Qin 
Wu
Subject: Re: IPR Disclosures for draft-ietf-xrblock-rtcp-xr-qoe

Hi Glen,

Cheers,

Gonzalo

---

From: [email-masked]
Date: Mon, 16 Sep 2013 08:04:11 -0600

Ralph,
  Will you be in Vancouver?  I'd like to get some time to talk about IPSO  
and also my new project for the White House - SmartUSA Challenge.  I plan to  
be there if I can get approval for "foreign travel".

Geoff Mulligan
Presidential Innovation Fellow
Cyber-Physical Systems
SmartUSA Challenge

---

From: Glen Zorn <[email-masked]>
Date: Mon, 16 Sep 2013 19:35:23 +0700

>
> The wording of this question is not a choice. As WG chairs we are required to answer the following question which is part of the Shepherd write-up as per the instructions from the IESG http://www.ietf.org/iesg/template/doc-writeup.txt:
>

>
> Glen, if you believe that this question should not be part of the write-up, I think that you should take the issue with the IESG.

>
> In the current situation, unless I receive different instructions from the ADs, I have no choice but to send this document to the IESG mentioning that I did not receive an explicit confirmation.
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Sep 2013 13:00:08 -0400

--On Monday, September 16, 2013 19:35 +0700 Glen Zorn
<[email-masked]> wrote:

>... 
>> The wording of this question is not a choice. As WG chairs we
>> are required to answer the following question which is part
>> of the Shepherd write-up as per the instructions from the
>> IESG http://www.ietf.org/iesg/template/doc-writeup.txt:
>> 

> I see, just following orders.

For whatever it is worth, I think there is a rather different
problem here.  I also believe it is easily solved and that, if
it is not, we have a far deeper problem.

I believe the document writeup that the IESG posts at a given
time is simply a way of identifying the information the IESG
wants (or wants to be reassured about) and a template for a
convenient way to supply that information.  If that were not the
case:

 (i) We would expect RFC 4858 to be a BCP, not an
	Informational document.
 (ii) The writeup template would need to represent
	community consensus after IETF LC, not be something the
	IESG put together and revises from time to time.
 (iii) The various experiments in alternative template
	formats and shepherding theories would be improper or
	invalid without community consensus, probably expressed
	through formal "process experiment" authorizations of
	the RFC 3933 species.

The first sentence of the writeup template, "As required by RFC
4858, this is the current template..." is technically invalid
because RFC 4858, as an Informational document, cannot _require_
anything of the standards process.  Fortunately, it does not say
"you are required to supply this information in this form" or
"you are required to ask precisely these questions", which would
be far worse.

>From my point of view, an entirely reasonable response to the
comments above that start "As WG chairs we are required to
answer the following question..." and "We have no choice but to
relay..." is that you are required to do no such thing.  The
writeup template is guidance to the shepherd about information
and assurances the IESG wants to have readily available during
the review process, nothing more.   I also believe that any AD
who has become sufficiently impressed by his [1] power and the
authority of IETF-created procedures to insist on a WG chair's
asking a question and getting an answer in some particular form
has been on the IESG, or otherwise "in the leadership" much too
long [2].

In fairness to the IESG, "Has each author confirmed..." doesn't
require that the document shepherd or WG Chair ask the question
in any particular way.   Especially if I knew that some authors
might be uncomfortable being, in Glen's words, treated as
8-year-old children, I think I would ask the question in a form
similar to "since the I-Ds in which you were involved were
posted, have you had any thoughts or encountered any information
that would require filing of additional IPR disclosures?".
That question is a reminder that might be (and occasionally has
been) useful.  A negative answer to it would be fully as much
"confirming that any and all appropriate IPR disclosures..."
have been filed as one whose implications are closer to "were
you telling the truth when you posted that I-D".  I think Glen's
objections to the latter are entirely reasonable, but there is
no need to go there.

Finally, I think a pre-LC reminder is entirely appropriate,
especially for revised documents or older ones for which some of
the listed authors may no longer be active. I assume, or at
least hope, that concern is were this item in the writeup
template came from.   Especially for authors who fall into those
categories, asking whether they have been paying attention and
have kept IPR disclosures up to date with the evolving document
is, IMO, both reasonable and appropriate.  Personally, I'm
inclined to ask for an affirmative commitment about willingness
to participate actively in the AUTH48 signoff process at the
same time -- non-response to that one, IMO, justifies trimming
the author count and creating a Contributors section.

It seems to me that, in this particular case, too many people
are assuming a far more rigid process than actually exists or
can be justified by any IETF consensus procedure.  Let's just
stop that.

best,
   john

[1] pronoun chosen to reflect current IESG composition and with
the understanding that it might be part of the problem.

[2] Any WG with strong consensus about these issues and at least
20 active, nomcom-eligible participants knows what to do about
such a problem should it ever occur.  Right?

---

From: Randy Bush <[email-masked]>
Date: Mon, 16 Sep 2013 07:14:43 -1000

can we try to keep life simple?  it is prudent to check what (new)
ipr exists for a draft at the point where the iesg is gonna start
the sausage machine to get it to rfc.  if the iesg did not do this,
we would rightly worry that we were open to a submarine job.  this
has happened, which is why this formality is in place.

if some subset of the authors prefer to play cute, my alarms go off.
stuff the draft until they can give a simple direct answer.

randy

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Sep 2013 13:37:31 -0400

--On Monday, September 16, 2013 07:14 -1000 Randy Bush
<[email-masked]> wrote:

> can we try to keep life simple?  it is prudent to check what
> (new) ipr exists for a draft at the point where the iesg is
> gonna start the sausage machine to get it to rfc.  if the iesg
> did not do this, we would rightly worry that we were open to a
> submarine job.  this has happened, which is why this formality
> is in place.

Agreed.  I hope there are only two issues in this discussion:

(1) Whether the IESG requires that the question be asked in some
particular form, especially a form that would apply to
other-than-new IPR.  I think the answer to that question is
clearly "no".

(2) Whether the "submitted in full conformance..." statement in
I-Ds is sufficient to cover IPR up to the point of posting of
the I-D.  If the answer is "no", then there is a question of why
we are wasting the bits.  If it is "yes", as I assume it is,
then any pre-sausage questions can and should be limited to IPR
that might be new to one or more of the authors.

> if some subset of the authors prefer to play cute, my alarms
> go off. stuff the draft until they can give a simple direct
> answer.

Agreed.  While I wouldn't make as big an issue of it as he has
(personal taste), I agree with him that asking an author to
affirm that he or she really, really meant it and told the truth
when posting a draft "submitted in full conformance..." is
inappropriate and demeaning.  While I think there might have
been other, more desirable, ways to pursue it, I don't think
that raising the issue falls entirely into the "cute" range.

   john

---

From: Sam Hartman <[email-masked]>
Date: Mon, 16 Sep 2013 15:14:25 -0400

>>>>> "John" == John C Klensin <[email-masked]> writes:

    John> It seems to me that, in this particular case, too many people
    John> are assuming a far more rigid process than actually exists or
    John> can be justified by any IETF consensus procedure.  Let's just
    John> stop that.

I agree with John here.
However, I'll remind others (John is certainly aware) that an chairs
serve at the pleasure of the AD.

I'd be unimpressed with an AD who removed chairs because they supplied
information in a reasonable but different form.  I'd thik it entirely
reasonable for an AD to remove chairs because the chairs didn't supply
information the AD reasonably requested to move documents forward.

Part of not having rigid process is allowing chairs to be flexible but
also allowing ADs to be flexible about what chairs they want to work
with.

---

From: Ted Lemon <[email-masked]>
Date: Mon, 16 Sep 2013 19:51:01 +0000

> that might be new to one or more of the authors.

This is a claim in the boilerplate which the IETF, not the authors, are making.   So asking the question is entirely appropriate; the authors' answers need to be known to the IESG prior to publication, and the fact that the boilerplate says what it says does not mean that the authors' answers are known.  This isn't an insult to the authors—it's simply a practicality: evidence suggests that not all authors at all times are aware of what the boilerplate actually means, and this isn't surprising since it's added by the tool, not typed in each time by each author.

So whether this counts as a requirement or not I don't know, but on a practical level, asking the question saves time and reduces ambiguity; it's hard to see that as a negative, and it's astonishing that a long-time IETF participant could conceive it to be a deliberate offense.

---

From: Ted Lemon <[email-masked]>
Date: Mon, 16 Sep 2013 20:10:56 +0000

On Sep 16, 2013, at 3:51 PM, Ted Lemon <[email-masked]> wrote:
> This is a claim in the boilerplate which the IETF, not the authors, are making.

I am sure flames are already directed my way for being imprecise here, but what I mean is that although the authors put this boilerplate in the document, the IETF, through the document publication process, effectively affirms that the authors have made this claim, so it's entirely reasonable for us to double-check that all of the authors of a document know they are making this claim, and that it isn't something that one author put in without asking the others about it, and that all the authors actually understand what the boilerplate says.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 17 Sep 2013 08:29:00 +1200

> I am sure flames are already directed my way for being imprecise here, but what I mean is that although the authors put this boilerplate in the document, the IETF, through the document publication…

Yes. And as an author, I have never been offended by being asked, for
recent RFCs, if I had in fact done what the BCPs specify, which is to
disclose (or arrange to be disclosed) IPR of which I was reasonably
and personally aware.

I believe this question was added to the procedure after one or two
cases where authors had not done so.

   Brian

---

From: [email-masked] (Martin Rex)
Date: Mon, 16 Sep 2013 22:48:46 +0200 (CEST)

(off-list)

John C Klensin wrote:
> anything of the standards process.

I'm OK with asserting that an Informational document does not (necessarily)
represent community consensus, and therefore can not mandate changes on stuff
which _has_ community consensus (be it processes or protocol standards).

This might also be the reason why we have to be careful to limit
downward references, i.e. having normative references to
Informational documents in standards track documents/specifications.

But I consider your original choice of words misleading.
We do allow re-publication of documents developed elsewhere as
informational RFCs, and when such documents are technical specifications,
they usually contain conformance requirements (for conformance to that
particular specification), and use rfc2119 keywords.  Sometimes with
an explicit pointer rfc2119, sometimes without.

Neither the use of rfc2119 keywords for conformance, nor the
pointer to rfc2119 for explaining the meanung of the keywords,
by themselves, make any document an IETF standard.  Only IETF
consensus and IESG standards action does that.

-Martin

---

From: Alan Clark <[email-masked]>
Date: Mon, 16 Sep 2013 13:34:47 -0400

>From 29 years experience in ATIS, CCITT, CEPT, ETSI, IETF, ITU, TIA and
other standards organizations and extensive experience with standards that
do have associated IPR it is apparent that asking for confirmation at
multiple points in the standards development process IS necessary.

For example:

(a) The ITU requires that IPR holders make statements prior to the
publication of a standard.  A top 5 telecom equipment provider submitted a
proposal to add an a new capability to an existing (IPR free) standard and
did NOT state that they had IPR related to this - in fact the inventor on
their patent was the person who wrote and submitted the contribution. Some
years after the standard was published, when their patent was granted, they
started writing to implementers to demand that they take out a license.
Intentional abuse of the standards development process DOES happen.

(b) We often hear from large organizations that, as they have thousands of
patents, they can't possibly know whether they have patents related to a
standard or not.

Repeatedly asking questions about IPR disclosure IS important as it does
make it harder for IPR holders to claim that they did not know.

It should be noted that the duty to disclose IPR is NOT ONLY for the authors
of a draft, and the IETF "reminder" system seems to be focused solely on
authors. The duty to disclose IPR lies with any individual or company that
participates in the IETF not just authors.

Alan Clark

---

From: Glen Zorn <[email-masked]>
Date: Wed, 18 Sep 2013 16:33:35 +0700

On 09/16/2013 08:03 PM, Gonzalo Camarillo wrote:

> Hi Glen,
>
> as I mentioned in another email, that question is just a reminder.

No, it's not.  It is a roadblock.  If it was "just a reminder". I would 
be free to ignore it, in the same way that I ignore a reminder from my 
calendar about a meeting in which I'm is already sitting.

> In

I believe that.  I'm sure that there is at least one person in the world 
who has been granted so many patents that they have just lost track. 
OTOH, if they put their name on a draft and submitted it, they stated 
that the draft was "full conformance with the provisions of BCP 78 and 
BCP 79."  This is a strong statement, but if you affirm it without 
knowing that it's true, you are lying.

> few seconds of your time.

So I guess that makes it OK to call us liars, since only takes a few 
seconds of our time to deny it.  Just one question, though: if you 
refused to believe it the first 11 times the statement was made, why 
would you believe it the 12th?

...

---

From: John C Klensin <[email-masked]>
Date: Wed, 18 Sep 2013 16:23:58 -0400

--On Thursday, September 19, 2013 07:57 +1200 Brian E Carpenter
<[email-masked]> wrote:

> On 17/09/2013 05:34, Alan Clark wrote:
> ...
>> It should be noted that the duty to disclose IPR is NOT ONLY
>> for the authors of a draft, and the IETF "reminder" system
>> seems to be focused solely on authors. The duty to disclose
>> IPR lies with any individual or company that participates in
>> the IETF not just authors.
> 
> Companies don't participate in the IETF; the duty of
> disclosure is specifically placed on individual contributors
> and applies to patents "reasonably and personally known" to
> them.
> 
> IANAL but I did read the BCP.

Brian,

That isn't how I interpreted Alan's point.  My version would be
that, if the shepherd template writeup says "make sure that the
authors are up-to-date" (or anything equivalent) it should also
say "ask/remind the WG participants too".   IMO, that is a
perfectly reasonable and orderly suggestion (and no lawyer is
required to figure it out).   One inference from Glen's point
that authors have already certified that they have provided
anything they need to provide by the time an I-D is posted with
the "full compliance" language is that it may actually be more
important to remind general participants in the WG  than to ask
the authors.

   john

---

From: John C Klensin <[email-masked]>
Date: Wed, 18 Sep 2013 20:06:55 -0400

--On Wednesday, September 18, 2013 17:22 -0400 Alan Clark
<[email-masked]> wrote:

> John, Brian
> 
> Most standards organizations require that participants who
> have, or whose company has, IPR relevant to a potential
> standard, disclose this at an early stage and at least prior
> to publication.
> 
> The participants in the IETF are individuals however RFC3979
> addresses this by stating that any individual participating in
> an IETF discussion "must" make a disclosure if they are aware
> of IPR from themselves, their employer or sponsor, that could
> be asserted against an implementation of a contribution. The
> question this raises is - what does participation in a
>...

Alan,

Variations on these themes and options have been discussed
multiple times.  Of course, circumstances change and it might be
worth reviewing them again, especially if you have new
information.  However, may I strongly suggest that you take the
question to the ipg-wg mailing list.   Most or all of the people
who are significantly interested in this topic, including those
who are most responsible for the current rules and conventions,
are on that list.  Your raising it there would permit a more
focused and educated discussion than you are likely to find on
the main IETF list.

Subscription and other information is at
https://www.ietf.org/mailman/listinfo/ipr-wg

best,
   john

---

From: Alan Clark <[email-masked]>
Date: Wed, 18 Sep 2013 17:22:08 -0400

John, Brian

Most standards organizations require that participants who have, or whose
company has, IPR relevant to a potential standard, disclose this at an early
stage and at least prior to publication.

The participants in the IETF are individuals however RFC3979 addresses this
by stating that any individual participating in an IETF discussion "must"
make a disclosure if they are aware of IPR from themselves, their employer
or sponsor, that could be asserted against an implementation of a
contribution. The question this raises is - what does participation in a
discussion mean?  This has been interpreted by courts to mean members of a
standards body, people that are subscribed to the email list of the
standards body and more broadly, people that would have known that a
standard was being developed.

Asking the participants in an IETF WG (and not just authors) to disclose any
IPR they are aware of that may impact a draft is simply implementing the
policy outlined in RFC3979.  Personally I'd like to see a broader
requirement that IETF participants are asked to request that their company
or sponsor perform a quick search of their own patents to see if there is
any relevant IPR.

Unfortunately, while standards organizations define their patent policies,
the interpretation of these is often done in the legal system in the context
of a patent infringement case.  While we don't like this - it is the world
we live in, and we should make sure that the IETF patent policy is
implemented in a way that reduces the likelihood of litigation against
someone that implements a draft/ RFC/ standard.

Regards

Alan Clark

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 19 Sep 2013 07:57:07 +1200

> participates in the IETF not just authors.

Companies don't participate in the IETF; the duty of disclosure is
specifically placed on individual contributors and applies to
patents "reasonably and personally known" to them.

   Brian